# Interface ContainerWrapper

All Superinterfaces:
  `ComponentWrapper`

public interface ContainerWrapper extends ComponentWrapper
A class that wraps a container that contains components.

- ## Field Summary

  ### Fields inherited from interface ComponentWrapper

  `TYPE_BUTTON, TYPE_CHECK_BOX, TYPE_COMBO_BOX, TYPE_CONTAINER, TYPE_IMAGE, TYPE_LABEL, TYPE_LIST, TYPE_PANEL, TYPE_PROGRESS_BAR, TYPE_SCROLL_BAR, TYPE_SCROLL_PANE, TYPE_SEPARATOR, TYPE_SLIDER, TYPE_SPINNER, TYPE_TABBED_PANE, TYPE_TABLE, TYPE_TEXT_AREA, TYPE_TEXT_FIELD, TYPE_TREE, TYPE_UNKNOWN, TYPE_UNSET`
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_BUTTON`
  `static final int`
  `TYPE_CHECK_BOX`
  `static final int`
  `TYPE_COMBO_BOX`
  `static final int`
  `TYPE_CONTAINER`
  `static final int`
  `TYPE_IMAGE`
  `static final int`
  `TYPE_LABEL`
  `static final int`
  `TYPE_LIST`
  `static final int`
  `TYPE_PANEL`
  `static final int`
  `TYPE_PROGRESS_BAR`
  `static final int`
  `TYPE_SCROLL_BAR`
  `static final int`
  `TYPE_SCROLL_PANE`
  `static final int`
  `TYPE_SEPARATOR`
  `static final int`
  `TYPE_SLIDER`
  `static final int`
  `TYPE_SPINNER`
  `static final int`
  `TYPE_TABBED_PANE`
  `static final int`
  `TYPE_TABLE`
  `static final int`
  `TYPE_TEXT_AREA`
  `static final int`
  `TYPE_TEXT_FIELD`
  `static final int`
  `TYPE_TREE`
  `static final int`
  `TYPE_UNKNOWN`
  `static final int`
  `TYPE_UNSET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getComponentCount()`
  Returns the number of components that this parent has.
  `ComponentWrapper[]`
  `getComponents()`
  Returns the components of the container that wrapper is wrapping.
  `Object`
  `getLayout()`
  Returns the `LayoutHandler` (in Swing terms) that is handling the layout of this container.
  `boolean`
  `isLeftToRight()`
  Returns if this container is using left-to-right component ordering.
  `void`
  `paintDebugCell(int x, int y, int width, int height)`
  Paints a cell to indicate where it is.

  ### Methods inherited from interface ComponentWrapper

  `getBaseline, getComponent, getComponentType, getContentBias, getHeight, getHorizontalScreenDPI, getLayoutHashCode, getLinkId, getMaximumHeight, getMaximumWidth, getMinimumHeight, getMinimumWidth, getParent, getPixelUnitFactor, getPreferredHeight, getPreferredWidth, getScreenHeight, getScreenLocationX, getScreenLocationY, getScreenWidth, getVerticalScreenDPI, getVisualPadding, getWidth, getX, getY, hasBaseline, isVisible, paintDebugOutline, setBounds`
  Modifier and Type
  Method
  Description
  `int`
  `getBaseline(int width, int height)`
  Returns the baseline for the component given the suggested height.
  `Object`
  `getComponent()`
  Returns the actual object that this wrapper is aggregating.
  `int`
  `getComponentType(boolean disregardScrollPane)`
  Returns the type of component that this wrapper is wrapping.
  `int`
  `getContentBias()`
  Returns in what way the min/pref/max sizes relates to it's height or width for the current settings of the component (like wrapText).
  `int`
  `getHeight()`
  Returns the current height for this component.
  `int`
  `getHorizontalScreenDPI()`
  Returns the DPI (Dots Per Inch) of the screen the component is currently in or for the default screen if the component is not visible.
  `int`
  `getLayoutHashCode()`
  Returns a hash code that should be reasonably different for anything that might change the layout.
  `String`
  `getLinkId()`
  Returns a String id that can be used to reference the component in link constraints.
  `int`
  `getMaximumHeight(int wHint)`
  Returns the maximum height of the component.
  `int`
  `getMaximumWidth(int hHint)`
  Returns the maximum width of the component.
  `int`
  `getMinimumHeight(int wHint)`
  Returns the minimum height of the component.
  `int`
  `getMinimumWidth(int hHint)`
  Returns the minimum width of the component.
  `ContainerWrapper`
  `getParent()`
  Returns the container for this component.
  `float`
  `getPixelUnitFactor(boolean isHor)`
  Returns the pixel unit factor for the horizontal or vertical dimension.
  `int`
  `getPreferredHeight(int wHint)`
  Returns the preferred height of the component.
  `int`
  `getPreferredWidth(int hHint)`
  Returns the preferred width of the component.
  `int`
  `getScreenHeight()`
  Returns the pixel size of the screen that the component is currently in or for the default screen if the component is not visible or `null`.
  `int`
  `getScreenLocationX()`
  Returns the screen x-coordinate for the upper left coordinate of the component layout-able bounds.
  `int`
  `getScreenLocationY()`
  Returns the screen y-coordinate for the upper left coordinate of the component layout-able bounds.
  `int`
  `getScreenWidth()`
  Returns the pixel size of the screen that the component is currently in or for the default screen if the component is not visible or `null`.
  `int`
  `getVerticalScreenDPI()`
  Returns the DPI (Dots Per Inch) of the screen the component is currently in or for the default screen if the component is not visible.
  `int[]`
  `getVisualPadding()`
  Returns the padding on a component by component basis.
  `int`
  `getWidth()`
  Returns the current width for this component.
  `int`
  `getX()`
  Returns the current x coordinate for this component.
  `int`
  `getY()`
  Returns the current y coordinate for this component.
  `boolean`
  `hasBaseline()`
  Returns if the component has a baseline and if it can be retrieved.
  `boolean`
  `isVisible()`
  Returns if the component's visibility is set to `true`.
  `void`
  `paintDebugOutline(boolean showVisualPadding)`
  Paints component outline to indicate where it is.
  `void`
  `setBounds(int x, int y, int width, int height)`
  Sets the component's bounds.

- ## Method Details

  - ### getComponents

    ComponentWrapper[] getComponents()

    Returns the components of the container that wrapper is wrapping.

    ###### Returns

    The components of the container that wrapper is wrapping. Never `null`.

  - ### getComponentCount

    int getComponentCount()

    Returns the number of components that this parent has.

    ###### Returns

    The number of components that this parent has.

  - ### getLayout

    Object getLayout()

    Returns the `LayoutHandler` (in Swing terms) that is handling the layout of this container. If there exist no such class the method should return the same as `#getComponent()`, which is the container itself.

    ###### Returns

    The layout handler instance. Never `null`.

  - ### isLeftToRight

    boolean isLeftToRight()

    Returns if this container is using left-to-right component ordering.

    ###### Returns

    If this container is using left-to-right component ordering.

  - ### paintDebugCell

    void paintDebugCell(int x, int y, int width, int height)

    Paints a cell to indicate where it is.

    ###### Parameters

    - `x`: The x coordinate to start the drwaing.

    - `y`: The x coordinate to start the drwaing.

    - `width`: The width to draw/fill

    - `height`: The height to draw/fill